#ifndef COMMON_SIGNALS_H
#define COMMON_SIGNALS_H

#define SIGNAL_ID_MEDKIT 0b00001
#define SIGNAL_ID_AMMO 0b00010
#define SIGNAL_ID_SPAWNPOINT 0b00011
#define SIGNAL_ID_CAPTUREPOINT 0b00100
#define SIGNAL_ID_GRENADE 0b00101

#define SIGNAL_DATA_MAX_HEALTH 0b11111
#define SIGNAL_DATA_MIN_HEALTH 0b00000
#define SIGNAL_DATA_MAX_DAMAGE 0b11111
#define SIGNAL_DATA_MIN_DAMAGE 0b00000
#define SIGNAL_DATA_HEALTH_MULT 4
#define SIGNAL_DATA_DAMAGE_MULT 4

#endif
